4Suite™ API Documentation

# ► Module Ft.Server.Server.Http.Basic

4Suite API module for the HTTP Handler
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: BasicHttpHandler, XmlBody

## Classes

class BasicHttpHandler(Ft.Server.Server.Http.BaseRequestHandler.BaseRequestHandler)

### Methods

__init__(self, connection)
apply_rules(self)
do_GET(self)
do_POST(self)
getHostHeader(self)
getRepo(self)
Return 1 if a response was already sent
get_form_encoding(self, form)
load_config(self, args)
load_resource(self, allowRedirect)
load_stylesheets(self, resource)
Load all available stylesheets
sendRedirect(self, response_uri, headers, permanent=False)
Generates in the response a Location: header from the given response_uri, and sets the response code to 302 or 301, depending on whether permanent was 0 or 1. Defaults to 302 (temporary). The Location header value must be an absolute URI, optionally with a fragment. In the event of a relative URI, the base URI is calculated from the request's Host header, if any, or from the server's configured hostname and port.

### Methods inherited from class Ft.Server.Server.Http.BaseRequestHandler.BaseRequestHandler

authChecker, do_OPTIONS, generateRepoPath, getMimeHeaders, getRemoteHostname, getRepository, getRequestArgs, getRequestBody, handle, joinQueryArgs, localDateTimeString, logTransaction, parseUri, processRequest, processResponse, readRequest, readRequestLine, rfcDateTimeString, send_error, unhandledException

### Fields

class XmlBody

### Methods

__init__(self, text, repo)
applyXslt(self, stylesheets, params=None, ignorePis=True, extParams=None, extModules=None)
applies the specified stylesheets (with the specified transformation parameters) on the given string